Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPickerClickRectMachine Class Reference

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickRectMachine:
[legend]

List of all members.

## Public Member Functions
virtual CommandList | transition (const QwtEventPattern &, const QEvent *)
Public Member Functions inherited from QwtPickerMachine
virtual | ~QwtPickerMachine ()
void | reset ()
void | setState (int)
int | state () const

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | Command { Begin, Append, Move, End }
typedef QList< Command > | CommandList
Protected Member Functions inherited from QwtPickerMachine
| QwtPickerMachine ()

## Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode